#include "IPersistData.h"
#include <qcombobox.h>

class CPersistComboBoxCaps : public IPersistData
{
private:
  QComboBox *m_ComboBox;
public:

  CPersistComboBoxCaps(QComboBox *q) : IPersistData()
    {
      m_ComboBox=q;
    }

  void load(istream& s)
    {
      int v;

      s >> v;
      m_ComboBox->setCurrentItem(v);
    }

  void save(ostream& s)
    {
      s << m_ComboBox->currentItem();
    }

  void failed()
    {

    }
};
